@charset "utf-8";

// colors
$primary: tomato;
$link: #17799d;
$info: #ff913b;
$warning: #ffc72e;
$danger: #df003c;

// body
$body-background-color: hsl(0, 0%, 96%);

// modal
$modal-background-background-color: #ffffff80;
$modal-card-title-size: 1.25rem;

// tabs
$tabs-link-color: $info;
$tabs-link-active-color: white;
$tabs-link-hover-color: $primary;
$tabs-boxed-link-active-background-color: $info;

@import '../node_modules/bulma/bulma.sass';

body {
  -webkit-tap-highlight-color: rgba(0,0,0,0);
  user-select: none;
  -webkit-user-select: none;
}

.screen {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  flex-direction: column;
}

.flex-container {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.ReactModal__Overlay {
  opacity: 0;
}
.ReactModal__Overlay--after-open {
  opacity: 1;
}
.ReactModal__Overlay--before-close {
  opacity: 0;
}

.aws-btn {
  --button-default-border-radius: 20px;
  --button-raise-level: 20px;
  --button-primary-color: tomato;
  --button-primary-color-dark: rgb(182, 69, 49);
  --button-primary-color-active: tomato;
  --button-primary-color-hover: tomato;
}
